package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 审核结果
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum IsAuditEnum {
    /**
     *
     */
    IS_AUDIT_SUBMIT("0","未审批"),
    IS_AUDIT_YES("1","已通过"),
    IS_AUDIT_NO("2","未通过"),

    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (IsAuditEnum e : IsAuditEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
